Skip to content

Marketplace Stats

Operations Summary

Method Endpoint Description
GET /api/marketplace-stats/aggregated_usage_trends/ Return aggregated usage trends per month
GET /api/marketplace-stats/component_usages/ Return component usages for current month
GET /api/marketplace-stats/component_usages_per_month/ Return component usages per month
GET /api/marketplace-stats/component_usages_per_project/ Return component usages per project
GET /api/marketplace-stats/count_active_resources_grouped_by_offering_country/ Count active resources grouped by offering country
GET /api/marketplace-stats/count_active_resources_grouped_by_offering/ Count active resources grouped by offering
GET /api/marketplace-stats/count_active_resources_grouped_by_organization_group/ Count active resources grouped by organization group
GET /api/marketplace-stats/count_projects_grouped_by_provider_and_industry_flag/ Count projects grouped by provider and industry flag
GET /api/marketplace-stats/count_projects_grouped_by_provider_and_oecd/ Count projects grouped by provider and OECD code
GET /api/marketplace-stats/count_projects_of_service_providers_grouped_by_oecd/ Count projects of service providers grouped by OECD
GET /api/marketplace-stats/count_projects_of_service_providers/ Count projects of service providers
GET /api/marketplace-stats/count_unique_users_connected_with_active_resources_of_service_provider/ Count unique users connected with active resources of service provider
GET /api/marketplace-stats/count_users_of_service_providers/ Count users of service providers
GET /api/marketplace-stats/customer_member_count/ Return count of customer members
GET /api/marketplace-stats/customer_member_summary/ Return summary statistics for customer members
GET /api/marketplace-stats/offering_costs_summary/ Return summary statistics for offering costs
GET /api/marketplace-stats/offerings_counter_stats/ Offerings counter stats
GET /api/marketplace-stats/openstack_instances_aggregate/ Aggregate OpenStack instances by a dimension.
GET /api/marketplace-stats/openstack_instances/ List all OpenStack instances with infrastructure details.
GET /api/marketplace-stats/order_stats/ Order stats
GET /api/marketplace-stats/organization_project_count/ Return project count per organization
GET /api/marketplace-stats/organization_resource_count/ Return resource count per organization
GET /api/marketplace-stats/project_classification_summary/ Return summary statistics for project classification
GET /api/marketplace-stats/projects_limits_grouped_by_industry_flag/ Group project limits by industry flag
GET /api/marketplace-stats/projects_limits_grouped_by_oecd/ Group project limits by OECD code
GET /api/marketplace-stats/projects_usages_grouped_by_industry_flag/ Group project usages by industry flag
GET /api/marketplace-stats/projects_usages_grouped_by_oecd/ Group project usages by OECD code
GET /api/marketplace-stats/provider_customers/ Return customer statistics for a service provider
GET /api/marketplace-stats/provider_offerings/ Return offering performance statistics for a service provider
GET /api/marketplace-stats/provider_resources/ Return resource statistics for a service provider
GET /api/marketplace-stats/resource_provisioning_stats/ Get resource provisioning statistics
GET /api/marketplace-stats/resource_usage_by_creator_affiliation/ Return resource usage grouped by creator's affiliation
GET /api/marketplace-stats/resource_usage_by_customer/ Return resource usage statistics grouped by customer
GET /api/marketplace-stats/resource_usage_by_organization_type/ Return component usages grouped by project members' organization type
GET /api/marketplace-stats/resources_geography_summary/ Return summary statistics for resource geographic distribution
GET /api/marketplace-stats/resources_limits/ Return resources limits per offering
GET /api/marketplace-stats/resources_missing_usage/ Resources missing usage
GET /api/marketplace-stats/total_cost_of_active_resources_per_offering/ Total cost of active resources per offering
GET /api/marketplace-stats/user_affiliation_count/ Return user count grouped by affiliation
GET /api/marketplace-stats/user_auth_method_count/ Return user count grouped by authentication method
GET /api/marketplace-stats/user_identity_source_count/ Return user count grouped by identity source
GET /api/marketplace-stats/user_job_title_count/ Return user count grouped by job title
GET /api/marketplace-stats/user_organization_count/ Return user count grouped by organization
GET /api/marketplace-stats/user_organization_type_count/ Return user count grouped by organization type (SCHAC URN)

Return aggregated usage trends per month.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/aggregated_usage_trends/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_aggregated_usage_trends_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_aggregated_usage_trends_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_aggregated_usage_trends_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsAggregatedUsageTrendsList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsAggregatedUsageTrendsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
period string Period in YYYY-MM format
year integer Year
month integer Month (1-12)
total_usage string (decimal) Total usage across all components
resource_count integer Number of distinct resources with usage
component_count integer Number of component usage records

Return component usages for current month

Return component usages for current month.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/component_usages/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_component_usages_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_component_usages_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_component_usages_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsComponentUsagesList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsComponentUsagesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
usage string (decimal) Total usage amount
offering_uuid string (uuid) UUID of the offering
component_type string Type of the component
offering_country string Country of the offering
organization_group_name string Name of the organization group
organization_group_uuid string UUID of the organization group

Return component usages per month

Return component usages per month.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/component_usages_per_month/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_component_usages_per_month_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_component_usages_per_month_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_component_usages_per_month_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsComponentUsagesPerMonthList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsComponentUsagesPerMonthList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
usage string (decimal) Total usage amount
offering_uuid string (uuid) UUID of the offering
component_type string Type of the component
offering_country string Country of the offering
organization_group_name string Name of the organization group
organization_group_uuid string UUID of the organization group
month integer Month of the billing period
year integer Year of the billing period

Return component usages per project

Return component usages per project.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/component_usages_per_project/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_component_usages_per_project_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_component_usages_per_project_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_component_usages_per_project_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsComponentUsagesPerProjectList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsComponentUsagesPerProjectList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
project_uuid string (uuid) UUID of the project
component_type string Type of the component
usage integer Total usage for the component

Count active resources grouped by offering country

Count active resources grouped by offering country.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_active_resources_grouped_by_offering_country/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_active_resources_grouped_by_offering_country_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_active_resources_grouped_by_offering_country_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_active_resources_grouped_by_offering_country_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountActiveResourcesGroupedByOfferingCountryList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountActiveResourcesGroupedByOfferingCountryList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
country string Country code of the offering
count integer Number of offerings in this country

Count active resources grouped by offering

Count active resources grouped by offering.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_active_resources_grouped_by_offering/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_active_resources_grouped_by_offering_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_active_resources_grouped_by_offering_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_active_resources_grouped_by_offering_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountActiveResourcesGroupedByOfferingList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountActiveResourcesGroupedByOfferingList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
count integer Number of resources for the offering
name string Name of the offering
uuid string UUID of the offering
country string Country of the offering

Count active resources grouped by organization group

Count active resources grouped by organization group.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_active_resources_grouped_by_organization_group/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_active_resources_grouped_by_organization_group_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_active_resources_grouped_by_organization_group_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_active_resources_grouped_by_organization_group_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountActiveResourcesGroupedByOrganizationGroupList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountActiveResourcesGroupedByOrganizationGroupList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
name string Name from the record
uuid string UUID from the record
count integer Count value from the record

Count projects grouped by provider and industry flag

Count projects grouped by provider and industry flag

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_projects_grouped_by_provider_and_industry_flag/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_projects_grouped_by_provider_and_industry_flag_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_projects_grouped_by_provider_and_industry_flag_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_projects_grouped_by_provider_and_industry_flag_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountProjectsGroupedByProviderAndIndustryFlagList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountProjectsGroupedByProviderAndIndustryFlagList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
name string Name from the record
uuid string UUID from the record
count integer Count value from the record
abbreviation string Customer abbreviation from the record
is_industry string Industry classification flag

Count projects grouped by provider and OECD code

Count projects grouped by provider and OECD code

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_projects_grouped_by_provider_and_oecd/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_projects_grouped_by_provider_and_oecd_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_projects_grouped_by_provider_and_oecd_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_projects_grouped_by_provider_and_oecd_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountProjectsGroupedByProviderAndOecdList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountProjectsGroupedByProviderAndOecdList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
name string Name from the record
uuid string UUID from the record
count integer Count value from the record
abbreviation string Customer abbreviation from the record
oecd string

Count projects of service providers grouped by OECD

Count projects of service providers grouped by OECD.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_projects_of_service_providers_grouped_by_oecd/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_projects_of_service_providers_grouped_by_oecd_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_projects_of_service_providers_grouped_by_oecd_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_projects_of_service_providers_grouped_by_oecd_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountProjectsOfServiceProvidersGroupedByOecdList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountProjectsOfServiceProvidersGroupedByOecdList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
service_provider_uuid string (uuid) UUID of the service provider
customer_uuid string (uuid) UUID of the customer
customer_name string Name of the customer
customer_organization_group_uuid string UUID of the customer's organization group
customer_organization_group_name string Name of the customer's organization group
count integer Count value
oecd_fos_2007_name string

Count projects of service providers

Count projects of service providers.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_projects_of_service_providers/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_projects_of_service_providers_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_projects_of_service_providers_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_projects_of_service_providers_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountProjectsOfServiceProvidersList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountProjectsOfServiceProvidersList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
service_provider_uuid string (uuid) UUID of the service provider
customer_uuid string (uuid) UUID of the customer
customer_name string Name of the customer
customer_organization_group_uuid string UUID of the customer's organization group
customer_organization_group_name string Name of the customer's organization group
count integer Count value

Count unique users connected with active resources of service provider

Count unique users connected with active resources of service provider.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_unique_users_connected_with_active_resources_of_service_provider/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_unique_users_connected_with_active_resources_of_service_provider_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_unique_users_connected_with_active_resources_of_service_provider_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_unique_users_connected_with_active_resources_of_service_provider_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountUniqueUsersConnectedWithActiveResourcesOfServiceProviderList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountUniqueUsersConnectedWithActiveResourcesOfServiceProviderList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
customer_uuid string (uuid) UUID of the customer
customer_name string Name of the customer
count_users integer Number of unique users

Count users of service providers

Count users of service providers.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/count_users_of_service_providers/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_count_users_of_service_providers_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_count_users_of_service_providers_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_count_users_of_service_providers_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCountUsersOfServiceProvidersList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCountUsersOfServiceProvidersList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
service_provider_uuid string (uuid) UUID of the service provider
customer_uuid string (uuid) UUID of the customer
customer_name string Name of the customer
customer_organization_group_uuid string UUID of the customer's organization group
customer_organization_group_name string Name of the customer's organization group
count integer Count value

Return count of customer members

Return count of customer members.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/customer_member_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_customer_member_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_customer_member_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_customer_member_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCustomerMemberCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCustomerMemberCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid) UUID of the customer
name string Name of the customer
abbreviation string Abbreviation of the customer
count integer Number of members
has_resources boolean Whether the customer has resources

Return summary statistics for customer members

Return summary statistics for customer members.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/customer_member_summary/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_customer_member_summary_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_customer_member_summary_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_customer_member_summary_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsCustomerMemberSummaryRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsCustomerMemberSummaryRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
total_organizations integer Total number of organizations
total_members integer Total number of members across all organizations
organizations_with_resources integer Number of organizations with active resources
average_members_per_org integer Average number of members per organization

Return summary statistics for offering costs

Return summary statistics for offering costs.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/offering_costs_summary/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_offering_costs_summary_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_offering_costs_summary_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_offering_costs_summary_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsOfferingCostsSummaryRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOfferingCostsSummaryRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
total_cost string (decimal) Total cost of all active resources across all offerings
offering_count integer Number of offerings with active resources
average_cost string (decimal) Average cost per offering

Offerings counter stats

Retrieve statistics about the number of offerings, grouped by category and service provider.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/offerings_counter_stats/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_offerings_counter_stats_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_offerings_counter_stats_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_offerings_counter_stats_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsOfferingsCounterStatsList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOfferingsCounterStatsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
category_uuid string (uuid) UUID of the category
category_title string Title of the category
service_provider_name string Name of the service provider
service_provider_uuid string (uuid) UUID of the service provider
count integer Number of offerings

Aggregate OpenStack instances by a dimension.

Returns aggregated metrics (count, cores, RAM, disk) grouped by the specified dimension.

1
2
3
4
5
http \
  GET \
  https://api.example.com/api/marketplace-stats/openstack_instances_aggregate/ \
  Authorization:"Token YOUR_API_TOKEN" \
  group_by=="availability_zone"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.open_stack_instance_aggregate_group_by_enum import OpenStackInstanceAggregateGroupByEnum # (1)
from waldur_api_client.api.marketplace_stats import marketplace_stats_openstack_instances_aggregate_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_openstack_instances_aggregate_list.sync(
    client=client,
    group_by=OpenStackInstanceAggregateGroupByEnum.AVAILABILITY_ZONE
)

for item in response:
    print(item)
  1. Model Source: OpenStackInstanceAggregateGroupByEnum
  2. API Source: marketplace_stats_openstack_instances_aggregate_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceStatsOpenstackInstancesAggregateList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOpenstackInstancesAggregateList({
  auth: "Token YOUR_API_TOKEN",
  query: {
    "group_by": "availability_zone"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
customer_uuid string (uuid) Filter by customer UUID.
flavor_name string Filter by flavor name (case-insensitive partial match).
group_by string ✓ Dimension to group by.
Enum: availability_zone, customer, flavor_name, hypervisor_hostname, image_name, runtime_state, service_settings
hypervisor_hostname string Filter by hypervisor hostname (case-insensitive partial match).
image_name string Filter by image name (case-insensitive partial match).
name string Filter by instance name (case-insensitive partial match).
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
project_uuid string (uuid) Filter by project UUID.
runtime_state string Filter by runtime state (e.g. ACTIVE, SHUTOFF).
service_settings_uuid string (uuid) Filter by cluster (service settings) UUID.
state string Filter by provisioning state (e.g. OK, ERRED).
tenant_uuid string (uuid) Filter by tenant UUID.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
group_key string Group key value
group_label string Human-readable group label
instance_count integer Number of instances
total_cores integer Total vCPUs
total_ram_mb integer Total RAM in MiB
total_disk_mb integer Total disk in MiB
total_volume_size_mb integer Total attached volume size in MiB
total_floating_ips integer Total number of floating IPs

List all OpenStack instances with infrastructure details.

Returns a paginated flat list of all OpenStack instances across all clusters. Staff and support users can filter by infrastructure properties.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/openstack_instances/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_openstack_instances_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_openstack_instances_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_openstack_instances_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsOpenstackInstancesList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOpenstackInstancesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
availability_zone_name string Filter by availability zone name.
cores_max integer Maximum number of vCPUs.
cores_min integer Minimum number of vCPUs.
customer_uuid string (uuid) Filter by customer UUID.
disk_max integer Maximum disk in MiB.
disk_min integer Minimum disk in MiB.
flavor_name string Filter by flavor name (case-insensitive partial match).
hypervisor_hostname string Filter by hypervisor hostname (case-insensitive partial match).
image_name string Filter by image name (case-insensitive partial match).
name string Filter by instance name (case-insensitive partial match).
o string Ordering field. Prefix with - for descending. Options: name, cores, ram, disk, created, runtime_state, flavor_name, hypervisor_hostname, customer_name, project_name, cluster_name, start_time.
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
project_uuid string (uuid) Filter by project UUID.
ram_max integer Maximum RAM in MiB.
ram_min integer Minimum RAM in MiB.
runtime_state string Filter by runtime state (e.g. ACTIVE, SHUTOFF).
service_settings_uuid string (uuid) Filter by cluster (service settings) UUID.
state string Filter by provisioning state (e.g. OK, ERRED). Supports multiple values.
tenant_uuid string (uuid) Filter by tenant UUID.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid) Instance UUID
name string Instance name
created string (date-time) Creation timestamp
cores integer Number of vCPUs
ram integer RAM in MiB
disk integer Root disk in MiB
flavor_name string Flavor name
flavor_disk integer Flavor disk in MiB
image_name string Image name
hypervisor_hostname string Hypervisor hostname
runtime_state string Runtime state (e.g. ACTIVE, SHUTOFF)
state string Provisioning state
availability_zone_name string Availability zone name
start_time string (date-time) Last start time of the VM
service_settings_uuid string (uuid) Cluster UUID
service_settings_name string Cluster name
tenant_uuid string (uuid) Tenant UUID
tenant_name string Tenant name
project_uuid string (uuid) Project UUID
project_name string Project name
customer_uuid string (uuid) Customer UUID
customer_name string Customer name
customer_abbreviation string Customer abbreviation
volume_count integer Number of attached volumes
total_volume_size_mb integer Total attached volume size in MiB
floating_ip_count integer Number of floating IPs
port_count integer Number of ports
internal_ips array of strings List of internal IP addresses
external_ips array of strings List of external IP addresses

Order stats

Return comprehensive order statistics including daily breakdown, state/type aggregations, and summary stats.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/order_stats/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_order_stats_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_order_stats_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_order_stats_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsOrderStatsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOrderStatsRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
customer_uuid string Filter by customer UUID.
end string End date in YYYY-MM-DD format. Defaults to today.
provider_uuid string Filter by service provider UUID.
start string Start date in YYYY-MM-DD format. Defaults to 30 days ago.

200 -

Field Type Description
summary any Summary statistics
by_state object (free-form) Total order counts grouped by state
by_type object (free-form) Total order counts grouped by type
daily array of objects Daily breakdown
daily.date string (date) Date of the statistics
daily.total integer Total number of orders
daily.total_cost string (decimal) Total cost of orders
daily.revenue string (decimal) Revenue from create/update orders
daily.by_state object (free-form) Order counts grouped by state
daily.by_type object (free-form) Order counts grouped by type

Return project count per organization

Return project count per organization.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/organization_project_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_organization_project_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_organization_project_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_organization_project_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsOrganizationProjectCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOrganizationProjectCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
name string Name from the record
uuid string UUID from the record
count integer Count value from the record
abbreviation string Customer abbreviation from the record

Return resource count per organization

Return resource count per organization.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/organization_resource_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_organization_resource_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_organization_resource_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_organization_resource_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsOrganizationResourceCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsOrganizationResourceCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
name string Name from the record
uuid string UUID from the record
count integer Count value from the record
abbreviation string Customer abbreviation from the record

Return summary statistics for project classification

Return summary statistics for project classification.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/project_classification_summary/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_project_classification_summary_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_project_classification_summary_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_project_classification_summary_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsProjectClassificationSummaryRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProjectClassificationSummaryRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
total_projects integer Total number of projects
academic_projects integer Number of academic projects (industry_flag=False)
industry_projects integer Number of industry projects (industry_flag=True)

Group project limits by industry flag

Group project limits by industry flag.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/projects_limits_grouped_by_industry_flag/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_projects_limits_grouped_by_industry_flag_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_projects_limits_grouped_by_industry_flag_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_projects_limits_grouped_by_industry_flag_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsProjectsLimitsGroupedByIndustryFlagRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProjectsLimitsGroupedByIndustryFlagRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
limits object (free-form) Nested dictionary of resource limits by category and component type

Group project limits by OECD code

Group project limits by OECD code.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/projects_limits_grouped_by_oecd/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_projects_limits_grouped_by_oecd_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_projects_limits_grouped_by_oecd_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_projects_limits_grouped_by_oecd_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsProjectsLimitsGroupedByOecdRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProjectsLimitsGroupedByOecdRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
limits object (free-form) Nested dictionary of resource limits by category and component type

Group project usages by industry flag

Group project usages by industry flag.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/projects_usages_grouped_by_industry_flag/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_projects_usages_grouped_by_industry_flag_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_projects_usages_grouped_by_industry_flag_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_projects_usages_grouped_by_industry_flag_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsProjectsUsagesGroupedByIndustryFlagRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProjectsUsagesGroupedByIndustryFlagRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
usages object (free-form) Nested dictionary of usage values by category and component type

Group project usages by OECD code

Group project usages by OECD code.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/projects_usages_grouped_by_oecd/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_projects_usages_grouped_by_oecd_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_projects_usages_grouped_by_oecd_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_projects_usages_grouped_by_oecd_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsProjectsUsagesGroupedByOecdRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProjectsUsagesGroupedByOecdRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
usages object (free-form) Nested dictionary of usage values by category and component type

Return customer statistics for a service provider

Return customer statistics for a service provider.

1
2
3
4
5
http \
  GET \
  https://api.example.com/api/marketplace-stats/provider_customers/ \
  Authorization:"Token YOUR_API_TOKEN" \
  provider_uuid=="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_provider_customers_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_provider_customers_retrieve.sync(
    client=client,
    provider_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)

print(response)
  1. API Source: marketplace_stats_provider_customers_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceStatsProviderCustomersRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProviderCustomersRetrieve({
  auth: "Token YOUR_API_TOKEN",
  query: {
    "provider_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
provider_uuid string ✓ Service provider UUID.

200 -

Field Type Description
total integer Total number of customers
new_this_month integer New customers this month
top_by_revenue array of objects Top customers by revenue
top_by_resources array of objects Top customers by resource count
monthly array of objects Monthly customer counts

Return offering performance statistics for a service provider

Return offering performance statistics for a service provider.

1
2
3
4
5
http \
  GET \
  https://api.example.com/api/marketplace-stats/provider_offerings/ \
  Authorization:"Token YOUR_API_TOKEN" \
  provider_uuid=="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_provider_offerings_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_provider_offerings_retrieve.sync(
    client=client,
    provider_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)

print(response)
  1. API Source: marketplace_stats_provider_offerings_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceStatsProviderOfferingsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProviderOfferingsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  query: {
    "provider_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
provider_uuid string ✓ Service provider UUID.

200 -

Field Type Description
offerings array of objects Offering statistics including resources, revenue, and utilization

Return resource statistics for a service provider

Return resource statistics for a service provider.

1
2
3
4
5
http \
  GET \
  https://api.example.com/api/marketplace-stats/provider_resources/ \
  Authorization:"Token YOUR_API_TOKEN" \
  provider_uuid=="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_provider_resources_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_provider_resources_retrieve.sync(
    client=client,
    provider_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)

print(response)
  1. API Source: marketplace_stats_provider_resources_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceStatsProviderResourcesRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsProviderResourcesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  query: {
    "provider_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
provider_uuid string ✓ Service provider UUID.

200 -

Field Type Description
total integer Total number of resources
by_state object (free-form) Resource counts grouped by state
by_offering array of objects Resource counts grouped by offering
monthly array of objects Monthly resource counts

Get resource provisioning statistics

Get resource provisioning statistics.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resource_provisioning_stats/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resource_provisioning_stats_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resource_provisioning_stats_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_resource_provisioning_stats_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourceProvisioningStatsList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourceProvisioningStatsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
last_minutes integer Filter by last N minutes. Default is 60.
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
offering_uuid string (uuid) UUID of the offering
offering_name string Name of the offering
service_provider_uuid string (uuid) UUID of the service provider
service_provider_name string Name of the service provider
provisioning_count integer Total finished provisioning attempts (DONE + ERRED)
provisioning_success_count integer Total successful provisioning attempts (DONE)
provisioning_error_count integer Total failed provisioning attempts (ERRED)
provisioning_in_progress_count integer Total currently in-progress provisioning attempts
provisioning_success_rate number (double) Rate of successful provisioning (0.0 to 1.0)
avg_provisioning_duration number (double) Average duration in seconds from Executing to Terminal state
avg_pending_duration number (double) Average duration in seconds from Creation to Executing state

Return resource usage grouped by creator's affiliation

Return resource usage grouped by creator's affiliation.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resource_usage_by_creator_affiliation/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resource_usage_by_creator_affiliation_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resource_usage_by_creator_affiliation_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_resource_usage_by_creator_affiliation_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourceUsageByCreatorAffiliationList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourceUsageByCreatorAffiliationList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
affiliation string User affiliation value
component_type string Component type
total_usage string (decimal) Total usage
total_cost string (decimal) Total cost
resource_count integer Number of resources

Return resource usage statistics grouped by customer

Return resource usage statistics grouped by customer.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resource_usage_by_customer/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resource_usage_by_customer_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resource_usage_by_customer_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_resource_usage_by_customer_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourceUsageByCustomerList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourceUsageByCustomerList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
customer_uuid string (uuid) UUID of the customer
customer_name string Name of the customer
customer_abbreviation string Abbreviation of the customer
resources_ok integer Number of OK resources
resources_erred integer Number of erred resources
resources_total integer Total number of active resources
total_cost string (decimal) Total cost of resources
usages object (free-form) Component usages keyed by component type
limits object (free-form) Resource limits keyed by limit name

Return component usages grouped by project members' organization type

Return component usages grouped by project members' organization type.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resource_usage_by_organization_type/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resource_usage_by_organization_type_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resource_usage_by_organization_type_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_resource_usage_by_organization_type_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourceUsageByOrganizationTypeList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourceUsageByOrganizationTypeList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
organization_type string SCHAC organization type URN
component_type string Component type (e.g., cpu, gpu)
usage string (decimal) Total usage for this component
resource_count integer Number of resources

Return summary statistics for resource geographic distribution

Return summary statistics for resource geographic distribution.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resources_geography_summary/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resources_geography_summary_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resources_geography_summary_retrieve.sync(client=client)

print(response)
  1. API Source: marketplace_stats_resources_geography_summary_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourcesGeographySummaryRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourcesGeographySummaryRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type Description
total_resources integer Total number of active resources
countries_count integer Number of countries with active resources
org_groups_count integer Number of organization groups with active resources
offerings_count integer Number of offerings with active resources

Return resources limits per offering

Return resources limits per offering.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resources_limits/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resources_limits_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resources_limits_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_resources_limits_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourcesLimitsList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourcesLimitsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
offering_uuid string (uuid) UUID of the offering
name string Name of the limit
value integer Limit value
offering_country string Country of the offering
organization_group_name string Name of the organization group
organization_group_uuid string UUID of the organization group

Resources missing usage

Return usage-based resources with no usage reported in the specified billing period.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/resources_missing_usage/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_resources_missing_usage_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_resources_missing_usage_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_resources_missing_usage_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsResourcesMissingUsageList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsResourcesMissingUsageList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
billing_period string Billing period in YYYY-MM format. Defaults to current month.
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
provider_uuid string Filter by service provider UUID.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid) UUID of the resource
name string Name of the resource
state string Current state of the resource
created string (date-time) Creation date of the resource
offering_name string Name of the offering
offering_uuid string (uuid) UUID of the offering
provider_name string Name of the service provider
provider_uuid string (uuid) UUID of the service provider
customer_name string Name of the customer organization
customer_uuid string (uuid) UUID of the customer organization
project_name string Name of the project
project_uuid string (uuid) UUID of the project
last_usage_date string (date-time) Date of the last usage report
days_since_last_report integer Number of days since last usage report

Total cost of active resources per offering

Total cost of active resources per offering.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/total_cost_of_active_resources_per_offering/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_total_cost_of_active_resources_per_offering_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_total_cost_of_active_resources_per_offering_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_total_cost_of_active_resources_per_offering_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsTotalCostOfActiveResourcesPerOfferingList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsTotalCostOfActiveResourcesPerOfferingList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
offering_uuid string (uuid) UUID of the offering
offering_name string Name of the offering
cost number (double) Total cost for the offering

Return user count grouped by affiliation

Return user count grouped by affiliation.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/user_affiliation_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_user_affiliation_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_user_affiliation_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_user_affiliation_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsUserAffiliationCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsUserAffiliationCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
affiliation string Affiliation name
count integer Number of users

Return user count grouped by authentication method

Return user count grouped by authentication method.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/user_auth_method_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_user_auth_method_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_user_auth_method_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_user_auth_method_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsUserAuthMethodCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsUserAuthMethodCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
method string Authentication method
count integer Number of users

Return user count grouped by identity source

Return user count grouped by identity source.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/user_identity_source_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_user_identity_source_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_user_identity_source_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_user_identity_source_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsUserIdentitySourceCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsUserIdentitySourceCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
identity_source string Identity source
count integer Number of users

Return user count grouped by job title

Return user count grouped by job title.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/user_job_title_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_user_job_title_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_user_job_title_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_user_job_title_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsUserJobTitleCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsUserJobTitleCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
job_title string Job title
count integer Number of users

Return user count grouped by organization

Return user count grouped by organization.

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/user_organization_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_user_organization_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_user_organization_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_user_organization_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsUserOrganizationCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsUserOrganizationCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
organization string Organization name
count integer Number of users

Return user count grouped by organization type (SCHAC URN)

Return user count grouped by organization type (SCHAC URN).

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-stats/user_organization_type_count/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_stats import marketplace_stats_user_organization_type_count_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_stats_user_organization_type_count_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_stats_user_organization_type_count_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceStatsUserOrganizationTypeCountList } from 'waldur-js-client';

try {
  const response = await marketplaceStatsUserOrganizationTypeCountList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
organization_type string Organization type (SCHAC URN)
count integer Number of users